# SCAYT plugin for CKEditor 4

This guide outlines the main steps that you need to follow in order to integrate and configure the SCAYT plugin for [CKEditor 4](https://ckeditor.com/ckeditor-4/). All the described steps are provided for the Server version of SCAYT.

### 1. Initialize CKEditor 4 <a href="#scaytpluginforckeditor4-1.initializeckeditor4" id="scaytpluginforckeditor4-1.initializeckeditor4"></a>

Before integrating and configuring the SCAYT plugin, CKEditor 4 should be properly configured in your web application. If you haven't done it yet, please [download the latest version of the CKEditor 4 standard package](https://ckeditor.com/ckeditor-4/download/) and refer to [CKEditor Quick Start Guide](https://ckeditor.com/docs/ckeditor4/latest/guide/dev_installation.html).

### 2. Activate SCAYT plugin <a href="#scaytpluginforckeditor4-2.activatescaytplugin" id="scaytpluginforckeditor4-2.activatescaytplugin"></a>

If you are using the standard package of CKEditor 4, the SCAYT plugin is already there, which is pointed to the free services. To accomplish migration to the trial or paid version of SCAYT, the additional SCAYT parameters must be added to the CKEditor **config.js** file.

To activate the Cloud version of the SCAYT plugin, you must add the **scayt\_customerId** option to the CKEditor **config.js** file.

```
config.scayt_customerId = 'service_activation_key';
```

Meanwhile to activate the on-premise version of the SCAYT plugin you have to specify the **server parameters** and appropriate path to the **wscbundle.js** file on your server where spelling and grammar check requests will be processed.

```javascript
config.scayt_serviceProtocol='http(s)';
config.scayt_serviceHost='your_host_name';
config.scayt_servicePort ='443';
config.scayt_servicePath ='virtual_directory/api'; // by default the virtual_directory is wscservice
config.scayt_srcUrl ="http(s)://your_host_name/virtual_directory/wscbundle/wscbundle.js";
```

### 3. Adjust default settings <a href="#scaytpluginforckeditor4-3.adjustdefaultsettings" id="scaytpluginforckeditor4-3.adjustdefaultsettings"></a>

Define additional SCAYT parameters, for example, start SCAYT spelling and grammar automatically, change default language, and others. For details, refer to [SCAYT parameters for CKEditor 4](/v6.12.0/integrations/legacy-scayt/scayt-parameters-for-ckeditor-4.md) guide.

```javascript
config.scayt_autoStartup = true; // enable spell check as you type on the editor load
config.grayt_autoStartup = true; // enable grammar check
config.scayt_sLang ='auto'; // sets the default language
```

#### Can be also useful: <a href="#scaytpluginforckeditor4-canbealsouseful" id="scaytpluginforckeditor4-canbealsouseful"></a>

* [SCAYT parameters for CKEditor 4](/v6.12.0/integrations/legacy-scayt/scayt-parameters-for-ckeditor-4.md)

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/integrations/legacy-scayt/scayt-plugin-for-ckeditor-4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
